
QGIS Application - Bug report #20913

Linstring layer union processing bug

2019-01-04 03:10 AM - Hirofumi Hayashi

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows10 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28732

Description

Union processing of linestrings layer have a bug  that the processing at the end of the overlapping linestring is incorrect.

    -  see attached capture/003.png

QGIS3.4.3 (2f64a3c4e7)

Reproduction:(use attached zip file)

1) load unionbug.qgz

2) Check overlapped linestrings layer   * see capture/001.png

3) Select Vector > Geoprocessing tools > Union ...

4) Select Input layer to miyakojimatest1

5) Run union processing

6) Check Union result   * see capture/002.png and 003.png

History

#1 - 2019-01-07 09:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

- File union.sqlite added

Is the attach result correct?

#2 - 2019-03-09 11:22 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files
union_bugreport20190104.zip 1010 KB 2019-01-04 Hirofumi Hayashi

union.sqlite 628 KB 2019-01-07 Giovanni Manghi
